Saltar para o conteúdo principal
PUT
/
public
/
v1
/
billing-service
/
billing-contacts
/
{billing-contact-id}
Upsert Billing Contact
curl --request PUT \
  --url https://api.topsort.com/public/v1/billing-service/billing-contacts/{billing-contact-id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "brandName": "<string>",
  "invoiceTo": "<string>",
  "advertiserName": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.topsort.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

Authorization
string
header
obrigatório

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Parâmetros de caminho

billing-contact-id
string
obrigatório

The ID of the billing contact.

Minimum string length: 1

Corpo

application/json
brandName
string
obrigatório

The name of the brand this agency is advertising for.

invoiceTo
string
obrigatório

The name of the company that is responsible for the invoice.

advertiserName
string
obrigatório

The name of the agency/advertiser.

Resposta

Successful Response